I2C_EX
Ameba SDK » HAL

i2c extended functions More...

## Ameba Common

enum | I2CCallback { I2C_TX_COMPLETE = 0, I2C_RX_COMPLETE = 1, I2C_RD_REQ_COMMAND = 2, I2C_ERR_OCCURRED = 3 }
int | i2c_enable_control (i2c_t *obj, int enable)
| Enable/Disable i2c Device. More...
void | i2c_restart_enable (i2c_t *obj)
| Enable i2c master RESTART function. More...
void | i2c_restart_disable (i2c_t *obj)
| Disable i2c Master RESTART function. More...

## Detailed Description

i2c extended functions

## Function Documentation

int i2c_enable_control | ( | i2c_t * | obj,
|  | int | enable
| ) |  |

Enable/Disable i2c Device.

Parameters

  obj | i2c object define in application software.

  enable

  this parameter can be one of the following values:
  - 0 disable
  - 1 enable

Return values

  | result

void i2c_restart_disable | ( | i2c_t * | obj | ) |

Disable i2c Master RESTART function.

Parameters

  obj | i2c object define in application software.

Return values

  none |

void i2c_restart_enable | ( | i2c_t * | obj | ) |

Enable i2c master RESTART function.

Parameters

  obj | i2c object define in application software.

Return values

  none |